﻿using System;

namespace PowerServiceMonitor.Impl
{
    using DotNet.Common.Util;
    using PowerServiceMonitor.Contract;

    /// <summary>
    /// NoSQL日志服务  TODO
    /// </summary>
    public class NoSQLLogService : ILog
    {

        public void AppendLog(object msg)
        {
            PowerLogger.AppendLog("NoSQLLogService:" + msg);
        }

        public void AppendLog(Exception ex)
        {
            PowerLogger.AppendLog("NoSQLLogService:" + ex);
        }

        public void AppendLog(string msg, params object[] objArr)
        {
            PowerLogger.AppendLog("NoSQLLogService:" + msg, objArr);
        }
    }

}