﻿using System;
using System.Windows.Forms;

namespace PowerServiceMonitor
{
    using PowerServiceMonitor.Model;
    using PowerServiceMonitor.Service;

    public partial class LogInForm : Form
    {

        #region 构造函数

        public LogInForm()
        {
            InitializeComponent();

            this.lblMsg.Text = string.Empty;
        }

        #endregion

        #region 事件

        private void btnLogin_Click(object sender, EventArgs e)
        {
            this.lblMsg.Text = string.Empty;

            var userInfo = new AdminUserInfo
            {
                UserName = this.txtUserName.Text.Trim(),
                Pwd = this.txtPwd.Text.Trim()
            };

            var bizResult = AdminUserService.UserLogin(userInfo);
            if (bizResult.IsOK == false)
            {
                this.lblMsg.Text = bizResult.Message;
                return;
            }

            this.DialogResult = System.Windows.Forms.DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
        }

        #endregion

        #region 方法


        #endregion

    }
}
