﻿using System;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 管理员信息
    /// </summary>
    [Serializable]
    public sealed class AdminUserInfo
    {
        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 密码 明文
        /// </summary>
        public string Pwd { get; set; }

        /// <summary>
        /// 密码 密文
        /// </summary>
        public string EncryptPwd { get; set; }
    }
}
