﻿using System.ComponentModel;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 服务监控应用类型枚举
    /// </summary>
    [Description("服务监控应用类型枚举")]
    public enum AppTypeEnum
    {
        /// <summary>
        /// Windows服务
        /// </summary>
        [Description("Windows服务")]
        WindowsService,

        /// <summary>
        /// web服务
        /// </summary>
        [Description("web服务")]
        WebService,

        /// <summary>
        /// WebApi
        /// </summary>
        [Description("WebApi")]
        WebApi,

        /// <summary>
        /// WCF
        /// </summary>
        [Description("WCF")]
        WCF,

        /// <summary>
        /// web页面
        /// </summary>
        [Description("web页面")]
        WebPage,
    }
}
