﻿using System.ComponentModel;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 日志提供者类型枚举
    /// </summary>
    [Description("日志提供者类型枚举")]
    public enum LogProviderType
    {
        /// <summary>
        /// 文本日志
        /// </summary>
        [Description("文本日志")]
        Text,

        /// <summary>
        /// 数据库日志
        /// </summary>
        [Description("数据库日志")]
        DB,

        /// <summary>
        /// NoSQL日志
        /// </summary>
        [Description("NoSQL日志")]
        NoSQL,

    }
}
