﻿using System;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 待监控的项目信息
    /// </summary>
    [Serializable]
    public sealed class MonitorResultInfo
    {
        /// <summary>
        /// 监控结果
        /// </summary>
        public bool IsOK { get; set; }

        /// <summary>
        /// 监控结果信息
        /// </summary>
        public string Message { get; set; }

        ///// <summary>
        ///// 监控结果内部异常
        ///// </summary>
        //public Exception InnerException { get; set; }

        /// <summary>
        /// 当前被监控的项
        /// </summary>
        public MonitorItemInfo CurrentMonitorItemInfo { get; set; }

    }
}