﻿using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace Rising.SFS.Monitor
{
	using DotNet.Common.WinSvcInstaller;

	/// <summary>
	/// 本对象可配合.NET框架的InstallUtil.exe的工作，用于向Windows系统安装和卸载服务
	/// </summary>
	[RunInstaller(true)]
	public partial class ProjectInstaller : DynamicInstaller
	{
		public ProjectInstaller()
		{
			InitializeComponent();
		}

		private void InitializeComponent()
		{
			this.ServiceName = "PowerMonitorService";
		}
	}
}
