﻿using System.Collections.Generic;

namespace PowerServiceMonitor.Contract
{
    using PowerServiceMonitor.Model;

    /// <summary>
    /// 服务监控接口
    /// </summary>
    public interface IServiceMonitor
    {
        /// <summary>
        /// 开始监控处理
        /// </summary>
        /// <param name="monitorConfigPath">待监控项配置文件地址</param>
        /// <returns></returns>
        IList<MonitorResultInfo> Start(string monitorConfigPath);
    }
}
