﻿using System;

namespace PowerServiceMonitor.Impl
{
    using DotNet.Common.Util;
    using PowerServiceMonitor.Contract;

    /// <summary>
    /// 文本日志服务
    /// </summary>
    public class TextLogService : ILog
    {

        public void AppendLog(object msg)
        {
            PowerLogger.AppendLog(msg);
        }

        public void AppendLog(Exception ex)
        {
            PowerLogger.AppendLog(ex);
        }

        public void AppendLog(string msg, params object[] objArr)
        {
            PowerLogger.AppendLog(msg, objArr);
        }
    }

}
