﻿using System.ComponentModel;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 服务监控状态枚举
    /// </summary>
    [Description("服务监控状态枚举")]
    public enum MonitorStateType
    {
        /// <summary>
        /// 处理中
        /// </summary>
        [Description("处理中")]
        Processing = 1,

        /// <summary>
        /// 已停止
        /// </summary>
        [Description("已停止")]
        Stopped = 0,
    }
}
