﻿using System.ComponentModel;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// windows服务状态枚举
    /// </summary>
    [Description("windows服务状态枚举")]
    public enum WinServiceStateType
    {
        /// <summary>
        /// 启动
        /// </summary>
        [Description("启动")]
        Running = 1,

        /// <summary>
        /// 停止
        /// </summary>
        [Description("停止")]
        Stopped = 0,

        ///// <summary>
        ///// 暂停
        ///// </summary>
        //[Description("暂停")]
        //Pause = 2,

        ///// <summary>
        ///// 恢复
        ///// </summary>
        //[Description("恢复")]
        //Resume = 4
    }
}
