﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PowerServiceMonitor
{
    using PowerServiceMonitor.Model;
    using PowerServiceMonitor.Service;

    public partial class ModifyUserForm : Form
    {

        #region 构造函数

        public ModifyUserForm()
        {
            InitializeComponent();

            this.lblMsg.Text = string.Empty;
        }

        #endregion

        #region 事件

        private void btnModify_Click(object sender, EventArgs e)
        {
            this.lblMsg.Text = string.Empty;

            var userInfo = new ModifyUserInfoViewModel
            {
                OldPwd = this.txtOldPwd.Text.Trim(),
                NewPwd = this.txtNewPwd.Text.Trim(),
                ConfirmedNewPwd = this.txtConfirmPwd.Text.Trim(),
            };

            var bizResult = AdminUserService.ModifyPwd(userInfo);
            if (bizResult.IsOK == false)
            {
                this.lblMsg.Text = bizResult.Message;
                return;
            }

            MessageBox.Show("更新成功");
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        #endregion

        #region 方法

        #endregion
    }
}
