﻿using System;
using System.ServiceProcess;
using System.Threading;
using System.Windows.Forms;

namespace ServiceMonitor
{
    using PowerServiceMonitor.Util;

    static class Program
    {
        /// <summary>
        /// 应用程序的主入口
        /// </summary>
        [STAThread]
        static void Main()
        {
            var methodNames = StackTraceUtil.PowerTraceMethod();

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            MonitorConfig.InitMonitorConfig(); //初始化监控配置文件

            //改造为winform程序
            var isCreate = false;
            var mutex = new Mutex(true, "powerservicemonitor", out isCreate);
            if (isCreate == true)
            {
                Application.Run(new MainForm());
            }

            ////改造为windows服务
            //var ServicesToRun = new ServiceBase[] 
            //{ 
            //    new MonitorService() 
            //};
            //ServiceBase.Run(ServicesToRun);
        }
    }
}
