﻿using System.ServiceProcess;

namespace PowerServiceMonitor.Util
{
    /// <summary>
    /// windows服务帮助类
    /// </summary>
    internal class WinServiceUtil
    {
        /// <summary>
        /// 服务是否存在
        /// </summary>
        public static bool CheckWinServiceExists(string svcName, out ServiceController control)
        {
            bool flag = false;
            try
            {
                control = new ServiceController(svcName);
                if (control != null)
                {
                    ServiceControllerStatus status = control.Status;
                }
                flag = true;
            }
            catch
            {
                control = null;
                flag = false;
            }
            return flag;
        }

    }
}
