﻿using System;
using System.Threading;
using System.Windows.Forms;

namespace WinServiceDynamicInstallTool
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            
            var isCreateNew = false;
            var mutex = new Mutex(false, "WinServiceDynamicInstallTool", out isCreateNew);
            if (isCreateNew)
            {
                Application.Run(new MainForm());
            }
        }
    }
}
